WAN 2.6 Flash
Overview
WAN 2.6 Flash is a fast and cost-effective image-to-video generation model. It supports 720p and 1080p output with 5, 10, or 15 second durations.
Test API KEY: key_00000000000000000000000000000000Endpoints
1. Create Task
Request
POST https://api.pixwithapi.online/api/task/createHeaders
| Header | Value | Required |
|---|---|---|
| Content-Type | application/json | Yes |
| Api-Key | {API_KEY} | Yes |
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| prompt | string | Yes | The input prompt (e.g., “The character starts walking forward with cinematic camera motion”) |
| image_urls | array | Yes | [“https://cdn.pixwithapi.online/xxx.jpg ”]. Provide 1 image for image-to-video generation. |
| model_id | string | Yes | 2-42 |
| options | object | Yes | Configuration options for the task |
| options.prompt_optimization | boolean | Yes | If true, all prompt words will be automatically translated into English. |
| options.resolution | string | Yes | Resolution of the output. Valid values: '720p' or '1080p' |
| options.duration | int | Yes | Duration in seconds. Valid values: 5, 10, or 15 |
| options.audio_url | string | No | Reference audio URL.plase upload WAV/MP3 audio (max 15 MB,2~30 sec) for synchronized generation, Supports full URL (e.g., https://example.com/a.mp3) |
Example Request
{
"prompt": "The character starts walking forward with cinematic camera motion",
"image_urls": [
"https://cdn.pixwithapi.online/example.jpeg"
],
"model_id": "2-42",
"options": {
"prompt_optimization": true,
"resolution": "1080p",
"duration": 10,
"audio_url": "https://example.com/audio/example_reference.mp3"
}
}Response Parameters
| Parameter | Type | Description |
|---|---|---|
| code | int | 1=success, 0=error |
| message | string | Success and failure messages |
| data | object | |
| data.task_id | string | |
| data.estimated_time | int | Estimated time in seconds |
Response
{
"code": 1,
"message": "success",
"data": {
"task_id": "d425ab4dc256f0ebaa84862b9cea8a3d",
"estimated_time": 300
}
}Last updated on